<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<body>
  <div class="ui grid" th:fragment="actionbuttons(icon1, icon1text, icon1url, icon2, icon2text, icon2url)">
    <div class="right floated right aligned column">
      <a class="ui labeled icon button" th:href="@{${icon1url}}" th:if="${icon1 != null}">
        <i th:class="${icon1}"></i>
        <span th:text="#{${icon1text}}"></span>
      </a>
      <a class="ui labeled icon button" th:href="@{${icon2url}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${icon2url != ''}">
        <i th:class="${icon2}"></i>
        <span th:text="#{${icon2text}}"></span>
      </a>
      <button class="ui labeled icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${icon2url == ''}" type="submit">
        <i th:class="${icon2}"></i>
        <span th:text="#{${icon2text}}"></span>
      </button>
    </div>
  </div>
  <div class="ui grid" th:fragment="actionbutton(icon1, icon1text, icon1url)">
    <div class="right floated right aligned column">
      <a class="ui labeled icon button" th:href="@{${icon1url}}" th:if="${icon1url != ''}">
        <i th:class="${icon1}"></i>
        <span th:text="#{${icon1text}}"></span>
      </a>
      <button class="ui labeled icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${icon1url == ''}" type="submit">
        <i th:class="${icon1}"></i>
        <span th:text="#{${icon1text}}"></span>
      </button>
    </div>
  </div>
  <div class="ui grid" th:fragment="backbutton(icon1, icon1text, icon1url)">
    <div class="right floated right aligned column">
      <a class="ui labeled icon button" th:href="@{${icon1url}}" th:if="${icon1url != ''}">
        <i th:class="${icon1}"></i>
        <span th:text="#{${icon1text}}"></span>
      </a>
    </div>
  </div>
  <div class="ui grid" th:fragment="actionbuttonsList(icon1, icon1text, icon1url, icon2, icon2text, icon2url, icon2list, icon2listtype)">
    <div class="right floated right aligned column">
      <a class="ui labeled icon button" th:href="@{${icon1url}}" th:if="${icon1 != null}">
        >
        <i th:class="${icon1}"></i>
        <span th:text="#{${icon1text}}"></span>
      </a>
      <div class="ui primary buttons">
        <div class="ui floating labeled dropdown icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <i th:class="${icon2}"></i>
          <span th:text="#{${icon2text}}"></span>
          <div class="menu">
            <a class="item" th:each="item : ${icon2list}" th:href="@{${icon2url} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SLASH + item.id}}" th:text="#{${icon2listtype + item.id}}"> </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="ui grid" th:fragment="actionbuttonsListing(icon1, icon1text, icon1url, icon1list)">
    <div class="right floated right aligned column">
      <div class="ui primary buttons">
        <div class="ui floating labeled dropdown icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <i th:class="${icon1}"></i>
          <span th:text="#{${icon1text}}"></span>
          <div class="menu">
            <a class="item" th:each="item : ${icon1list}" th:href="@{${icon1url} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SLASH + item.id}}" th:text="${item.id}"> </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="ui grid" th:fragment="dropdownbutton(icon, options, function, type)">
    <div class="right aligned column no-top-padding no-bottom-padding">
      <div class="ui icon small basic right pointing dropdown button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <i th:class="${icon}"></i>
        <div class="menu">
          <div class="item" th:each="item : ${options}" th:onclick="@{${function} + '(\''  + ${item.id} +  '\');'}" th:text="#{${type + item.id}}"></div>
        </div>
      </div>
    </div>
  </div>
  <div class="ui grid" th:fragment="actionbuttonsListOnClick(icon1, icon1text, icon1url, icon2, icon2text, icon2function, icon2list, icon2listtype)">
    <div class="right floated right aligned column">
      <a class="ui labeled icon button" th:href="@{${icon1url}}">
        <i th:class="${icon1}"></i>
        <span th:text="#{${icon1text}}"></span>
      </a>
      <div class="ui primary buttons">
        <div class="ui floating labeled dropdown icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <i th:class="${icon2}"></i>
          <span th:text="#{${icon2text}}"></span>
          <div class="menu">
            <a class="item" th:each="item : ${icon2list}" th:onclick="@{${icon2function} + '(\''  + ${item.id} +  '\');'}" th:text="#{${icon2listtype + item.id}}"> </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="ui grid" th:fragment="actionbuttonsOnClick(icon1, icon1text, icon1url, icon2, icon2text, icon2function)">
    <div class="right floated right aligned column">
      <a class="ui labeled icon button" th:href="@{${icon1url}}" th:if="${icon1} != null">
        <i th:class="${icon1}"></i>
        <span th:text="#{${icon1text}}"></span>
      </a>
      <div class="ui labeled icon button test" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:onclick="@{${icon2function}}">
        <i th:class="${icon2}"></i>
        <span th:text="#{${icon2text}}"></span>
      </div>
    </div>
  </div>
  <div class="ui grid" th:fragment="AcceptAndRejectbuttons(icon1, icon1text, icon2, icon2text)">
    <div class="right floated right aligned column">
      <button class="ui labeled red icon button" type="submit" name="action" value="reject">
        <i th:class="${icon1}"></i>
        <span th:text="#{${icon1text}}"></span>
      </button>
      <button class="ui labeled green icon button" type="submit" name="action" value="accept">
        <i th:class="${icon2}"></i>
        <span th:text="#{${icon2text}}"></span>
      </button>
    </div>
  </div>
</body>
</html>